
// MSImula1.cpp : define los comportamientos de las clases para la aplicacin.
//

#include "stdafx.h"
#include "afxwinappex.h"
#include "afxdialogex.h"
#include "MSImula1.h"
#include "MainFrm.h"

#include "MSImula1Doc.h"
#include "MSImula1View.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMSImula1App

BEGIN_MESSAGE_MAP(CMSImula1App, CWinAppEx)
	ON_COMMAND(ID_APP_ABOUT, &CMSImula1App::OnAppAbout)
	// Comandos de documento estndar basados en archivo
	ON_COMMAND(ID_FILE_NEW, &CWinAppEx::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, &CWinAppEx::OnFileOpen)
	// Comando de configuracin de impresin estndar
	ON_COMMAND(ID_FILE_PRINT_SETUP, &CWinAppEx::OnFilePrintSetup)
END_MESSAGE_MAP()


// Construccin de CMSImula1App

CMSImula1App::CMSImula1App()
{
	m_bHiColorIcons = TRUE;

	// TODO: reemplace la cadena de identificador de aplicacin siguiente por una cadena de identificador nico; el formato
	// recomendado para la cadena es NombreCompaa.NombreProducto.Subproducto.InformacinDeVersin
	SetAppID(_T("MSImula1.AppID.NoVersion"));

	// TODO: agregar aqu el cdigo de construccin,
	// Colocar toda la inicializacin importante en InitInstance
}

// El nico objeto CMSImula1App

CMSImula1App theApp;


// Inicializacin de CMSImula1App

BOOL CMSImula1App::InitInstance()
{
	CWinAppEx::InitInstance();


	EnableTaskbarInteraction(FALSE);

	// Se necesita AfxInitRichEdit2() para usar el control RichEdit	
	// AfxInitRichEdit2();

	// Inicializacin estndar
	// Si no utiliza estas caractersticas y desea reducir el tamao
	// del archivo ejecutable final, debe quitar
	// las rutinas de inicializacin especficas que no necesite
	// Cambie la clave del Registro en la que se almacena la configuracin
	// TODO: debe modificar esta cadena para que contenga informacin correcta
	// como el nombre de su compaa u organizacin
	SetRegistryKey(_T("Aplicaciones generadas con el Asistente para aplicaciones local"));
	LoadStdProfileSettings(10);  // Cargar opciones de archivo INI estndar (incluidas las de la lista MRU)


	InitContextMenuManager();

	InitKeyboardManager();

	InitTooltipManager();
	CMFCToolTipInfo ttParams;
	ttParams.m_bVislManagerTheme = TRUE;
	theApp.GetTooltipManager()->SetTooltipParams(AFX_TOOLTIP_TYPE_ALL,
		RUNTIME_CLASS(CMFCToolTipCtrl), &ttParams);

	// Registrar las plantillas de documento de la aplicacin. Las plantillas de documento
	//  sirven como conexin entre documentos, ventanas de marco y vistas
	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CMSImula1Doc),
		RUNTIME_CLASS(CMainFrame),       // Ventana de marco SDI principal
		RUNTIME_CLASS(CMSImula1View));
	if (!pDocTemplate)
		return FALSE;
	AddDocTemplate(pDocTemplate);


	// Analizar lnea de comandos para comandos Shell estndar, DDE, Archivo Abrir
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);



	// Enviar comandos especificados en la lnea de comandos. Devolver FALSE si
	// la aplicacin se inici con los modificadores /RegServer, /Register, /Unregserver o /Unregister.
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;

	// Se ha inicializado la nica ventana; mostrarla y actualizarla
	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();
	return TRUE;
}

// Controladores de mensaje de CMSImula1App


// Cuadro de dilogo CAboutDlg utilizado para el comando Acerca de

class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

// Datos del cuadro de dilogo
	enum { IDD = IDD_ABOUTBOX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // Compatibilidad con DDX/DDV

// Implementacin
protected:
	DECLARE_MESSAGE_MAP()
public:
};

CAboutDlg::CAboutDlg() : CDialogEx(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
	ON_WM_LBUTTONDOWN()
END_MESSAGE_MAP()

// Comando de la aplicacin para ejecutar el cuadro de dilogo
void CMSImula1App::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

// Mtodos para cargar o guardar personalizaciones de  CMSImula1App

void CMSImula1App::PreLoadState()
{
	BOOL bNameValid;
	CString strName;
	bNameValid = strName.LoadString(IDS_EDIT_MENU);
	ASSERT(bNameValid);
	GetContextMenuManager()->AddMenu(strName, IDR_POPUP_EDIT);
}

void CMSImula1App::LoadCustomState()
{
}

void CMSImula1App::SaveCustomState()
{
}

// Controladores de mensaje de CMSImula1App



