
// MSImula1View.h: interfaz de la clase CMSImula1View
//

#pragma once


class CMSImula1View : public CView
{
protected: // Crear slo a partir de serializacin
	CMSImula1View();
	DECLARE_DYNCREATE(CMSImula1View)

// Atributos
	CRect m_rcWin;
	BOOL	m_bZoombyPoint; 

public:
	CMSImula1Doc* GetDocument() const;

// Operaciones
public:

// Reemplazos
public:
	virtual void OnDraw(CDC* pDC);  // Reemplazado para dibujar esta vista
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

	void SetMapping(CDC * pDC);
	void SetMapping(CDC * pDC,CRect & rcVP,CRect & rcWin);

// Implementacin
public:
	virtual ~CMSImula1View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	BOOL m_bHome;

// Funciones de asignacin de mensajes generadas
protected:
	afx_msg void OnFilePrintPreview();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnMymenuHome();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnMymenuVistanormal();
	afx_msg void OnMymenuZoomup();
	afx_msg void OnMymenuZoomdown();
	afx_msg void OnZoomdot();
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);

	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
};

#ifndef _DEBUG  // Versin de depuracin en MSImula1View.cpp
inline CMSImula1Doc* CMSImula1View::GetDocument() const
   { return reinterpret_cast<CMSImula1Doc*>(m_pDocument); }
#endif

